This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 446600 - Missing support for Super-H (sh3,sh4) in configure multilib patch
Missing support for Super-H (sh3,sh4) in configure multilib patch
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pciutils (Show other bugs)
rawhide
sh4 Linux
low Severity low
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-15 05:59 EDT by CHIKAMA Masaki
Modified: 2008-10-20 18:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 05:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pciutils-2.2.4-sh-linux.patch (284 bytes, patch)
2008-05-15 05:59 EDT, CHIKAMA Masaki
no flags Details | Diff

  None (edit)
Description CHIKAMA Masaki 2008-05-15 05:59:23 EDT
Description of problem:

 This patch enables to compile on super-H(sh3,sh4) architecture.
It's forward ported for pciutils-2.2.10-1 getting from
http://www.sh-linux.org/

See also Bug #231790

--- lib/configure.orig  2007-12-07 01:57:19.000000000 +0900
+++ lib/configure       2007-12-07 02:00:42.000000000 +0900
@@ -55,6 +55,8 @@
 #define PCI_ARCH_S390
 #elif defined(__alpha__)
 #define PCI_ARCH_ALPHA
+#elif defined(__sh__)
+#define PCI_ARCH_SH
 #else
 #error Unknown Arch
 #endif
Comment 1 CHIKAMA Masaki 2008-05-15 05:59:23 EDT
Created attachment 305461 [details]
pciutils-2.2.4-sh-linux.patch
Comment 2 Michal Hlavinka 2008-09-22 05:15:18 EDT
fixed in pciutils-3.0.2-1.fc10
Comment 3 Fedora Update System 2008-09-22 06:22:10 EDT
pciutils-2.2.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pciutils-2.2.10-3.fc9
Comment 4 Fedora Update System 2008-09-22 06:50:02 EDT
pciutils-2.2.9-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/pciutils-2.2.9-2.fc8
Comment 5 Fedora Update System 2008-10-20 16:26:49 EDT
pciutils-2.2.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-10-20 18:15:25 EDT
pciutils-2.2.9-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.